features:
  secondary:
    - name: "Documentation for using earlier Knative Versions"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/clusters/serverless/#using-an-older-version-of-gitlabktl'
      reporter: vnagy
      stage: configure
      categories:
        - "Serverless"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/35655'
      description: |
        As Knative approaches version 1.0, many GitLab users need to build older versions of Knative as many kinks in the Knative upgrade process have not yet been ironed out. A problem arises because new versions of `gitlabktl` only support a specific version of Knative because of API changes. Because GitLab Serverless is in alpha, we've chosen not to support backward compatibility. As we shipped updates, each version of `gitlabktl` has only supported a specific version of Knative. While this strategy keeps development simple and lets us iterate quickly, it has made it painful to update GitLab, because we were forced to update Knative as well.

        The solution to this problem is to use a pinned version of `gitlabktl`. While this has always been possible, it hasn't been easy to figure out. We've now added a clear set of instructions to our docs to aid in discoverability and execution.
